Skip to main content

We’ve expanded the Transfers endpoint to support both 2nd and 3rd party ACH transfers.

When Brale initiates a transfer on behalf of your business or your customer’s business, 2nd/3rd-party branding ensures the receiver sees the intended business name on the ACH transaction (instead of “Brale”). Branded transfers are supported for ach_debit, ach_credit, same_day_ach_credit. To learn more and see a demo, schedule a meeting to talk to sales.

Creating 2nd/3rd Party Transfers branded transfers

POST https://api.brale.xyz/accounts/account_id/transfers Use the brand object to control the business name displayed to the receiver. Pass the target account inside the request body under brand.account_id. The brand.account_id is the Account whose name should appear to the receiver.
  • account_id: aB3hJkL9mN2PqRsTuvWxyz1234 = Company 1
    • Your business
  • account_id: 34fcsGrCgN0Z9zC1v55eP0I6AKW = Company 2
    • Your customer
If you omit brand, the transfer uses your default branding.
Definitions
  • 2nd-party: You are the brand (display name = your business).
  • 3rd-party: Your customer’s business is the brand (display name = your customer).

Example of a 2nd Party Transfer (brand = your business)

POST https://api.brale.xyz/accounts/account_id/transfers brand.account_id = aB3hJkL9mN2PqRsTuvWxyz1234 (Company 1) The receiver will see Company 1 as the name on the ach_debit transaction.
Request
{
  "amount": {
    "value": "100",
    "currency": "USD"
  },
  "source": {
    "value_type": "USD",
    "transfer_type": "ach_debit",
    "address_id": "34R7rk6hBuBl8Dmytqyz3iSSSQd"
  },
  "destination": {
    "value_type": "SBC",
    "transfer_type": "Canton",
    "address_id": "34R8PiuPLgHlXbWci7JlSmLapQY"
  },
  "brand": {
    "account_id": "aB3hJkL9mN2PqRsTuvWxyz1234"
  }
}
Response
{
  "id": "9f80c1f5-80df-4c5e-9b68-b9f5712d46d4"
}

Example of a 3rd Party Transfer (Company 2 = your customer)

POST https://api.brale.xyz/accounts/account_id/transfers brand.account_id = 34fcsGrCgN0Z9zC1v55eP0I6AKW (Company Beta) The receiver will see Company 2 as the originator name on the ach_debit transaction.
Request
{
  "amount": {
    "value": "100",
    "currency": "USD"
  },
  "source": {
    "value_type": "USD",
    "transfer_type": "ach_debit",
    "address_id": "34R7rk6hBuBl8Dmytqyz3iSSSQd"
  },
  "destination": {
    "value_type": "SBC",
    "transfer_type": "Canton",
    "address_id": "34fczKxoKRUMuZeWyMj9hhqVjuJ"
  },
  "brand": {
    "account_id": "34fcsGrCgN0Z9zC1v55eP0I6AKW"
  }
}
Response
{
  "id": "9f80c1f5-80df-4c5e-9b68-b9f5712d46d4"
}